# wp-repo-tracker 
**Contributors:** Tunapanda  
**Donate link:** http://www.tunapanda.org/contribute  
**Tags:** github, integration, issues  
**Requires at least:** 3.8.1  
**Tested up to:** 4.7.1  
**Stable tag:** trunk  
**License:** GPLv3  
**License URI:** http://www.gnu.org/licenses/gpl-3.0.html  

Track issues from a code repository, and show them on your WordPress site.


## Description 
This plugin makes it possible to show a list of issues from [GitHub](https://www.github.com)
on a WordPress page. It has a flexible filtering system so you can specify 
which issues from which projects that should be taken into account. 

This plugin can also make data available for other services to use, at this time
[Dasheroo](http://www.dasheroo.com/) is supported.

You can use this plugin on an intranet or extranet, to show the status of a team
or project. For example, you can use it to show KPI:s such as how many issues that 
were closed last week, plot a graph over the current number of open issues in the 
current sprint (a sprint burndown chart), or show all the issues with a "help-wanted"
label in order to engage with the open source community.

Here are a few examples of things you can do:


### Measure the team's velocity 

You can create a filter that gives you the issues which were closed during
the last seven days and that has the <i>resolved</i>
label on them. This gives you a measurement of you teams
weekly velocity, i.e. how many issues the team is currently
able to deal with per week.


### List issues in current sprint, and show a burn down chart 
In this example you can create a filter that shows the currently open 
issues which has the label `current-sprint`. You can put this list of issues
on an intranet page and the team will have a nice summary of the issues
in the current sprint. If you export the count of these issues to Dasheroo and
plot a graph for a few days it will give you a nice burndown chart that 
hopefully should point to your sprint deadline.


### Unassigned open issues 
If you create a filter to show all the open and unassigned issues, this
number says something about which issues that no one has yet stepped up
and accepted responsibility for.


### Issues ready for test 
If you create a filter to show all the open issues with the `resolved`
label on them, it will give the quality assurance team  a nice overview
of which issues that are resolved and that are ready to be tested.


### Engage open source hackers 
If you run an open source project, you can create a filter that shows all
the issues with a `help-wanted` label. You can put this on a web site, and 
this can serve as an important step so that interested developers know 
what they can help out with.


### Hacking 
Some small things to think about if you want to contribute to this plugin:
* Don't update the README.md file. Update the readme.txt file, then build the
  README.md file using `make readme`. This in turn uses the
  [wp2md](https://github.com/wpreadme2markdown/wp-readme-to-markdown) command,
  so this needs to be installed on your system.